#include <bits/stdc++.h>
#define endl "\n"

using namespace std;
void speed()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
}
int a[1000024],n,m,l,ans;
void read()
{
    cin>>n>>m;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        ans=ans^a[i];
    }
}
int main()
{
    speed();
    read();
    cout<<ans<<endl;
    return 0;
}
